import type { ProductUnitRequestType } from '@stacksjs/orm';

export declare function store(request: ProductUnitRequestType): Promise<ProductUnitJsonResponse | undefined>;
export declare function bulkStore(requests: ProductUnitRequestType[]): Promise<number>;
export declare function formatUnitOptions(type?: string): Promise<{ id: string, name: string, abbreviation: string, is_default: boolean | undefined }[] | []>;
export declare function getDefaultUnit(type: string): Promise<ProductUnitJsonResponse | undefined>;